#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "game.h"
#include "word.h"

#define MAX_WORDS_IN_COMMAND 4
void parse(Game *g, char *typed_command) {
  printf("Typed command: %s\n", typed_command);
  char *bluh = malloc(strlen(typed_command) + 1);
  strcpy(bluh, typed_command);

  Word **command = malloc(MAX_WORDS_IN_COMMAND * sizeof(Word));
  int word_count = 0;
  char *token = strtok(bluh, " ");

  while (word_count < MAX_WORDS_IN_COMMAND && token != NULL) {
    command[word_count] = find_word(g->words, token);

    word_count++;
    token = strtok(NULL, " ");
  }

  for(int i = 0; i < word_count; i++) {
    printf("%s ", command[i]->word);
  }
  printf("\n");

  free(bluh);
}
